Looking for ePay classic docs? Go to docs.epay.dk
ePay documentationDocsePay documentation
Transactions

List Operations

Test this endpoint live

Open the same request directly in API Explorer.

Open in API Explorer

Server URL

GET
/public/api/v1/transactions/operations

Retrieve a paginated list of transaction operations. Query parameters page and perPage can be used to control pagination. finalizedBefore and finalizedAfter can be sent to only get operations finalized between certain timeframes. pointOfSaleId can be used to limit the operations to a list of points of sale.

The endpoint only returns operations in a finalized state of FAILED or SUCCESS.

Authorization

BearerAuth
AuthorizationBearer <token>

In: header

Query Parameters

pageinteger

Page number.

Default:
1
perPageinteger

Number of items per page.

Default:
25
Range:
value <= 500
finalizedBeforestring

A filter to limit operations created finalized before a certain time. RFC 3339 format.

Format:
date-time
finalizedAfterstring

A filter to limit operations created finalized after a certain time. RFC 3339 format.

Format:
date-time

An optional filter to limit operations from the given points of sale.

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/public/api/v1/transactions/operations"
{  "page": 0,  "perPage": 0,  "lastPage": 0,  "total": 0,  "firstPageUrl": "string",  "lastPageUrl": "string",  "nextPageUrl": "string",  "previousPageUrl": "string",  "nextPage": 0,  "previousPage": 0,  "from": 0,  "to": 0,  "path": "string",  "items": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "referenceTransactionOperationId": "09c60a7b-397b-4797-a5c8-792dc558cbed",      "amount": 0,      "state": "PROCESSING",      "transactionId": "LDG7M4WW44G",      "type": "AUTHORIZATION",      "errorCode": "string",      "createdAt": "2019-08-24T14:15:22Z",      "finalizedAt": "2019-08-24T14:15:22Z"    }  ]}
{  "errorCode": "SERVER_ERROR",  "message": "An unexpected system error"}
{  "errorCode": "VALIDATION_ERROR",  "message": "Input validation errors",  "errors": {    "amount": [      "[required]: Is a required non-nullable field",      "[int]: Must be an integer",      "[min:0]: Must be greater than 0",      "[max:999999999]: Must be less than 999999999"    ]  }}
{  "errorCode": "SERVER_ERROR",  "message": "An unexpected system error"}